Edit

Get taxAreas (v1.0)

Retrieve the properties and relationships of a tax area object for Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET businesscentralPrefix/companies({id})/taxAreas({id})

Request headers (v1.0)

Header Value
Authorization Bearer {token}. Required.

Request body (v1.0)

Do not supply a request body for this method.

Response (v1.0)

If successful, this method returns a 200 OK response code and a taxAreas object in the response body.

Example (v1.0)

Request

Here is an example of the request.

GET https://{businesscentralPrefix}/api/v1.0/companies({id})/taxAreas({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
  "id": "id-value",
  "code": "28012001T",
  "displayName": "tax area",
  "lastModifiedDateTime": "2017-05-17T11:30:01.313Z"
}

Tips for working with the APIs

Tax Area
Create Tax Area
Update Tax Area
Delete Tax Area